Bug 14610 - Add ability to place article requests in Koha
Summary: Add ability to place article requests in Koha
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 17254 (view as bug list)
Depends on: 13696
Blocks: 17522 17530 17539 17601 17709 17517 17591
  Show dependency treegraph
 
Reported: 2015-07-28 14:25 UTC by Kyle M Hall
Modified: 2017-02-08 06:43 UTC (History)
18 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Large patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Add ability to place article requests in Koha. Article Requests are somewhat similar to holds, but are not requests for an item to check out. Instead, article requests are requests for a photocopy of a particular section of a book ( most often ). This is very common in academic libraries where researchers may request a copy of a single article found in a journal. This patch set adds the ability to place article requests in Koha. It allows the control of what can be requested via the circulation rules. Since article requests of electronic resources are not outside the realm of possibility, the feature will check not only the items for requstability, but the record itself as well ( i.e. both items.itype and biblio.itemtype ). Article requests can be placed for patrons from the opac and staff intranet and can be viewed in most areas where holds are viewed ( e.g. patron details, record details, etc ). There is a script to view article requests in progress within the circulation module. Article requests can be Open ( i.e. new ), In Processing, Completed, or Canceled. The status of a given request can be updated from this script.


Attachments
Bug 14610 - Add ability to place document delivery / article requests in Koha (96.62 KB, patch)
2015-09-23 16:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add new db table (1.92 KB, patch)
2015-09-23 17:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update DBIC (7.51 KB, patch)
2015-09-23 17:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add base Koha Objects (3.16 KB, patch)
2015-09-23 17:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update circ rules (6.81 KB, patch)
2015-09-23 17:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update bootstrap/css/opac.css ( compiled via less ) (83.26 KB, patch)
2015-09-23 17:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place document delivery / article requests in Koha (96.62 KB, patch)
2015-09-23 17:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Unit Tests (8.58 KB, patch)
2015-09-23 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (15.84 KB, patch)
2015-10-07 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (24.53 KB, patch)
2015-10-07 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.79 KB, patch)
2015-10-07 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (173.83 KB, patch)
2015-10-07 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.59 KB, patch)
2015-10-07 17:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.14 KB, patch)
2015-10-08 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (9.67 KB, patch)
2015-10-08 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.79 KB, patch)
2015-10-08 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (173.85 KB, patch)
2015-10-08 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.59 KB, patch)
2015-10-08 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.14 KB, patch)
2015-10-08 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.08 KB, patch)
2015-10-08 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.79 KB, patch)
2015-10-08 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (175.00 KB, patch)
2015-10-08 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.72 KB, patch)
2015-10-08 17:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.14 KB, patch)
2015-10-08 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.08 KB, patch)
2015-10-08 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.79 KB, patch)
2015-10-08 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (175.02 KB, patch)
2015-10-08 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.72 KB, patch)
2015-10-08 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14610 - Add ability to place article requests in Koha - Update database (16.21 KB, patch)
2015-10-20 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14610 - Update Schema files (11.14 KB, patch)
2015-10-20 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14610 - Add and update modules (21.86 KB, patch)
2015-10-20 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14610 - Add and update scripts (175.21 KB, patch)
2015-10-20 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14610 - Add unit tests (8.79 KB, patch)
2015-10-20 16:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.13 KB, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.85 KB, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (177.39 KB, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.78 KB, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.73 KB, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (662 bytes, patch)
2015-10-30 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.34 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add notices for all translations (41.69 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.25 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Opan' to 'Pending' (50.58 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.09 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.23 KB, patch)
2015-10-30 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.13 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.85 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (177.44 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.78 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.73 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (662 bytes, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.34 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add notices for all translations (41.69 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.25 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (52.62 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.09 KB, patch)
2015-10-30 17:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.23 KB, patch)
2015-10-30 17:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (15.78 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.85 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (177.71 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.76 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.74 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (645 bytes, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.34 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.28 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (11.36 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (10.70 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.23 KB, patch)
2015-11-17 17:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (15.77 KB, patch)
2015-12-23 16:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (21.98 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (177.68 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.76 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.72 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (639 bytes, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.33 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.27 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (11.36 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (10.69 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.22 KB, patch)
2015-12-23 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (15.77 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (22.06 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (178.38 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.76 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.72 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (639 bytes, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.36 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.27 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (11.36 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.53 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.22 KB, patch)
2016-01-12 12:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Don't call get_template_and_user for request-article-do.pl (1.10 KB, patch)
2016-01-12 12:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Don't call get_template_and_user for request-article-do.pl or opac-request-article-do.pl (1.92 KB, patch)
2016-01-12 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (15.77 KB, patch)
2016-01-13 16:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (22.70 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (178.28 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.76 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.72 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (639 bytes, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.36 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.27 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (19.25 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.53 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (83.22 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Don't call get_template_and_user for request-article-do.pl or opac-request-article-do.pl (1.92 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add non-ajax patron search (4.92 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add request article button to cat toolbar (1014 bytes, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Update article request counts in tabs (38.78 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add article requests count to tab like it is for holds (7.07 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add "All libraries" option to article-requests.pl (2.18 KB, patch)
2016-01-13 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add article requets count on detail.pl like it is for holds (3.25 KB, patch)
2016-01-13 16:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.27 KB, patch)
2016-02-11 15:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (22.68 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (173.56 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.76 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Rename AR_PRINT to AR_SLIP (8.72 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove bad copyright lines (639 bytes, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix issuingrules database update (2.36 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Make prompt tranlatable, only show comma if firstname is set (3.27 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Change 'Open' to 'Pending' (19.25 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.53 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Don't call get_template_and_user for request-article-do.pl or opac-request-article-do.pl (1.92 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add non-ajax patron search (4.92 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add request article button to cat toolbar (1014 bytes, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Update article request counts in tabs (38.78 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add article requests count to tab like it is for holds (7.07 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add "All libraries" option to article-requests.pl (2.18 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add article requets count on detail.pl like it is for holds (3.25 KB, patch)
2016-02-11 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (81.01 KB, patch)
2016-02-11 15:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.92 KB, patch)
2016-02-17 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (23.22 KB, patch)
2016-02-17 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (184.69 KB, patch)
2016-02-17 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-02-17 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.06 KB, patch)
2016-02-17 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (81.01 KB, patch)
2016-02-17 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.92 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (23.22 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (185.17 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.78 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.06 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (81.01 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Get rid of separate scripts just for creating new requests (11.55 KB, patch)
2016-02-18 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.91 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (23.37 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (184.92 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.78 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.07 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (81.10 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Get rid of separate scripts just for creating new requests (11.55 KB, patch)
2016-04-18 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (16.91 KB, patch)
2016-05-16 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.28 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (104.59 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.78 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Get rid of separate scripts just for creating new requests (11.55 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Switch from Koha::Borrower to Koha::Patron (3.47 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (80.87 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.29 KB, patch)
2016-05-16 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.35 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.28 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (104.44 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (80.87 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.42 KB, patch)
2016-05-25 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.35 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.28 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (104.50 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (80.87 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.42 KB, patch)
2016-06-22 14:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.35 KB, patch)
2016-09-14 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.33 KB, patch)
2016-09-14 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (100.64 KB, patch)
2016-09-14 13:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-09-14 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (81.05 KB, patch)
2016-09-14 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.32 KB, patch)
2016-09-14 13:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Implement staff patron tab (10.23 KB, patch)
2016-09-14 14:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Implement staff patron tab (13.80 KB, patch)
2016-09-14 14:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.35 KB, patch)
2016-10-10 09:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.33 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (100.64 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (98.62 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.32 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Implement staff patron tab (13.80 KB, patch)
2016-10-10 09:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.35 KB, patch)
2016-10-13 10:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.33 KB, patch)
2016-10-13 10:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (100.61 KB, patch)
2016-10-13 10:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-10-13 10:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (98.62 KB, patch)
2016-10-13 10:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.32 KB, patch)
2016-10-13 10:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Implement staff patron tab (13.80 KB, patch)
2016-10-13 10:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove Koha::Patron::guarantor addition (785 bytes, patch)
2016-10-13 10:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add notices to all language files (40.63 KB, patch)
2016-10-13 10:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add classes to table headers (2.10 KB, patch)
2016-10-13 10:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix publishercode issue (2.74 KB, patch)
2016-10-13 10:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add ability to place article requests in Koha - Update database (17.33 KB, patch)
2016-10-24 13:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update modules (25.42 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add and update scripts (100.52 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Add unit tests (8.77 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update opac.css via less (98.62 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Implement staff patron tab (13.80 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Remove Koha::Patron::guarantor addition (775 bytes, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add notices to all language files (40.63 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Add classes to table headers (2.10 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 [QA Followup] - Fix publishercode issue (2.74 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Update Schema files (11.28 KB, patch)
2016-10-24 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14610 - Follow-up (6.58 KB, patch)
2016-10-24 20:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Add ability to place article requests in Koha - Update database (17.39 KB, patch)
2016-10-26 11:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Add and update modules (25.49 KB, patch)
2016-10-26 11:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Add and update scripts (100.59 KB, patch)
2016-10-26 11:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Add unit tests (8.84 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Update opac.css via less (98.69 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 [QA Followup] - Implement staff patron tab (13.87 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 [QA Followup] - Add notices to all language files (40.70 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 [QA Followup] - Add classes to table headers (2.17 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 [QA Followup] - Fix publishercode issue (2.81 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14610 - Update Schema files (11.35 KB, patch)
2016-10-26 11:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14610 - Follow-up (6.58 KB, patch)
2016-10-26 11:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14610: Follow-up 2 (55.07 KB, patch)
2016-10-26 11:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-07-28 14:25:16 UTC
Koha should have the ability to place requests for copies of particular parts of items. This is commonly referred to as a document delivery or an article request.
Comment 1 Magnus Enger 2015-07-29 12:59:09 UTC
This sounds interesting! Who should be able to place the requests? Local patrons or other libraries? Is this something you will be working on, or is it more of an idea?
Comment 2 Kyle M Hall 2015-08-26 16:20:21 UTC
(In reply to Magnus Enger from comment #1)
> This sounds interesting! Who should be able to place the requests? Local
> patrons or other libraries? Is this something you will be working on, or is
> it more of an idea?

I'm actively developing this. This is for local patrons ( though libraries could have accounts ). In essence it is somewhat similar to how holds work, but instead of a hold for a item, it's a request for a photocopy ( or digital copy ) of part of an item.
Comment 3 Magnus Enger 2015-08-26 18:33:21 UTC
(In reply to Kyle M Hall from comment #2)
> I'm actively developing this. This is for local patrons ( though libraries
> could have accounts ). 

Yeah, in Norway we have a whole infrastructure for letting libraries log on to the OPACs of other libraries, in order to place ILL requests. 

> In essence it is somewhat similar to how holds work,
> but instead of a hold for a item, it's a request for a photocopy ( or
> digital copy ) of part of an item.

So from a Norwegian perspective, this sounds like it would take care of the copy part of ILL. Now Alex from PTFS Europe is already working on ILL over on bug 7317. Maybe it could be worthwhile to have a look at his work and see if your efforts can be combined?
Comment 4 Kyle M Hall 2015-09-23 16:59:50 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-09-23 17:00:44 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-09-23 17:00:52 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-09-23 17:00:55 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-09-23 17:00:57 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-09-23 17:01:00 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-09-23 17:01:03 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2015-09-23 18:50:05 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-10-02 08:45:28 UTC
Kyle, is there a description of the feature available somewhere?
Comment 13 Kyle M Hall 2015-10-02 14:14:34 UTC
Article Requests are somewhat similar to holds, but are not requests for an item to check out. Instead, article requests are requests for a photocopy of a particular section of a book ( most often ). This is very common in academic libraries where researchers may request a copy of a single article found in a journal.

This patch set adds the ability to place article requests in Koha. It allows the control of what can be requested via the circulation rules. Since article requests of electronic resources are not outside the realm of possibility, the feature will check not only the items for requstability, but the record itself as well ( i.e. both items.itype and biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff intranet and can be viewed in most areas where holds are viewed ( e.g. patron details, record details, etc ).

There is a script to view article requests in progress within the circulation module. Article requests can be Open ( i.e. new ), In Processing, Completed, or Canceled. The status of a given request can be updated from this script.
Comment 14 Katrin Fischer 2015-10-02 14:40:09 UTC
Thx Kyle!
Comment 15 Kyle M Hall 2015-10-07 17:02:43 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2015-10-07 17:02:51 UTC Comment hidden (obsolete)
Comment 17 Kyle M Hall 2015-10-07 17:02:54 UTC Comment hidden (obsolete)
Comment 18 Kyle M Hall 2015-10-07 17:02:57 UTC Comment hidden (obsolete)
Comment 19 Kyle M Hall 2015-10-07 17:02:59 UTC Comment hidden (obsolete)
Comment 20 Liz Rea 2015-10-07 22:32:15 UTC
This looks like it needs a rebase on current master.
Comment 21 Kyle M Hall 2015-10-08 15:33:40 UTC Comment hidden (obsolete)
Comment 22 Kyle M Hall 2015-10-08 15:33:47 UTC Comment hidden (obsolete)
Comment 23 Kyle M Hall 2015-10-08 15:33:50 UTC Comment hidden (obsolete)
Comment 24 Kyle M Hall 2015-10-08 15:33:54 UTC Comment hidden (obsolete)
Comment 25 Kyle M Hall 2015-10-08 15:33:56 UTC Comment hidden (obsolete)
Comment 26 Kyle M Hall 2015-10-08 17:58:37 UTC Comment hidden (obsolete)
Comment 27 Kyle M Hall 2015-10-08 17:58:48 UTC Comment hidden (obsolete)
Comment 28 Kyle M Hall 2015-10-08 17:58:51 UTC Comment hidden (obsolete)
Comment 29 Kyle M Hall 2015-10-08 17:58:54 UTC Comment hidden (obsolete)
Comment 30 Kyle M Hall 2015-10-08 17:58:57 UTC Comment hidden (obsolete)
Comment 31 Kyle M Hall 2015-10-08 18:32:02 UTC Comment hidden (obsolete)
Comment 32 Kyle M Hall 2015-10-08 18:32:09 UTC Comment hidden (obsolete)
Comment 33 Kyle M Hall 2015-10-08 18:32:12 UTC Comment hidden (obsolete)
Comment 34 Kyle M Hall 2015-10-08 18:32:15 UTC Comment hidden (obsolete)
Comment 35 Kyle M Hall 2015-10-08 18:32:18 UTC Comment hidden (obsolete)
Comment 36 Kyle M Hall 2015-10-20 16:18:02 UTC Comment hidden (obsolete)
Comment 37 Kyle M Hall 2015-10-20 16:18:11 UTC Comment hidden (obsolete)
Comment 38 Kyle M Hall 2015-10-20 16:18:14 UTC Comment hidden (obsolete)
Comment 39 Kyle M Hall 2015-10-20 16:18:17 UTC Comment hidden (obsolete)
Comment 40 Kyle M Hall 2015-10-20 16:18:20 UTC Comment hidden (obsolete)
Comment 41 Katrin Fischer 2015-10-24 23:38:25 UTC
Kyle, this currently doesn't apply. I read through the code and noted some things to fix and have some suggestions:

0) AR_PRINT
I'd like to rename the letter code to AR_SLIP or ARSLIP to be consistent with the other slips we have.

+('circulation', 'AR_PRINT', '', 'Article Request - Print Slip', 0, 'Test'
Test?

1) circ/request-article.pl
Copyright statements are a bit odd for a new file :)
@@ -0,0 +1,53 @@
+#!/usr/bin/perl
+
+# Copyright 2015 ByWater Solutions
+# Copyright 2000-2002 Katipo Communications
+# Copyright 2011 Catalyst IT

2) installer/data/mysql/atomicupdate/bug_14610.sql
Please amend to use AFTER... to make sure the column always ends up in the same spot.
+ALTER TABLE  `issuingrules` ADD  `article_requests` ENUM(  'no',  'yes',  'bib_only',  'item_only' ) NOT NULL DEFAULT  'no';

3) kohastructure.sql 
Can you please add database documentation comments for the new table?

4) Please include the new notices in all translated sample_notices.sql as well. xt/sample_notice.t is your friend :)
Small typo in one of the subjects: Article Request _Recieved_

5) circ/article-requests.tt
- notes = prompt("Reason for cancelation:"); is not translatable
- [% ar.borrower.surname %], [% ar.borrower.firstname %] please fix display for the case, that a firstname is not given (organisations for example).

6) request-article.tt
- var c = confirm("Are you sure you want to change the pickup library from " + previo... is not translatable - Additionally there is this new 'format' syntax that you can use to fill in the placeholders nicely and that allows for good translation. If you don't know what I am talking about I can probably dig up an example :)

7) opac/opac-article-request-cancel.pl
+        authnotrequired => 0,
Please account for the OpacPublic system preference!
Same for the other 2 opac/ .pl files.

8) Terminology - instead of 'open' maybe 'pending' would be better? This is what we use for suggestions and I think holds. Sometimes you are using 'open' and other times 'pending' (intranet-main.tt)
Comment 42 Kyle M Hall 2015-10-30 17:15:35 UTC Comment hidden (obsolete)
Comment 43 Kyle M Hall 2015-10-30 17:15:45 UTC Comment hidden (obsolete)
Comment 44 Kyle M Hall 2015-10-30 17:15:49 UTC Comment hidden (obsolete)
Comment 45 Kyle M Hall 2015-10-30 17:15:52 UTC Comment hidden (obsolete)
Comment 46 Kyle M Hall 2015-10-30 17:15:55 UTC Comment hidden (obsolete)
Comment 47 Kyle M Hall 2015-10-30 17:15:58 UTC Comment hidden (obsolete)
Comment 48 Kyle M Hall 2015-10-30 17:16:01 UTC Comment hidden (obsolete)
Comment 49 Kyle M Hall 2015-10-30 17:16:04 UTC Comment hidden (obsolete)
Comment 50 Kyle M Hall 2015-10-30 17:16:07 UTC Comment hidden (obsolete)
Comment 51 Kyle M Hall 2015-10-30 17:16:10 UTC Comment hidden (obsolete)
Comment 52 Kyle M Hall 2015-10-30 17:16:13 UTC Comment hidden (obsolete)
Comment 53 Kyle M Hall 2015-10-30 17:16:17 UTC Comment hidden (obsolete)
Comment 54 Kyle M Hall 2015-10-30 17:33:11 UTC Comment hidden (obsolete)
Comment 55 Kyle M Hall 2015-10-30 17:33:26 UTC Comment hidden (obsolete)
Comment 56 Kyle M Hall 2015-10-30 17:33:30 UTC Comment hidden (obsolete)
Comment 57 Kyle M Hall 2015-10-30 17:33:33 UTC Comment hidden (obsolete)
Comment 58 Kyle M Hall 2015-10-30 17:33:37 UTC Comment hidden (obsolete)
Comment 59 Kyle M Hall 2015-10-30 17:33:41 UTC Comment hidden (obsolete)
Comment 60 Kyle M Hall 2015-10-30 17:33:46 UTC Comment hidden (obsolete)
Comment 61 Kyle M Hall 2015-10-30 17:33:49 UTC Comment hidden (obsolete)
Comment 62 Kyle M Hall 2015-10-30 17:33:52 UTC Comment hidden (obsolete)
Comment 63 Kyle M Hall 2015-10-30 17:33:56 UTC Comment hidden (obsolete)
Comment 64 Kyle M Hall 2015-10-30 17:33:59 UTC Comment hidden (obsolete)
Comment 65 Kyle M Hall 2015-10-30 17:34:03 UTC Comment hidden (obsolete)
Comment 66 Kyle M Hall 2015-11-17 17:04:03 UTC Comment hidden (obsolete)
Comment 67 Kyle M Hall 2015-11-17 17:04:13 UTC Comment hidden (obsolete)
Comment 68 Kyle M Hall 2015-11-17 17:04:16 UTC Comment hidden (obsolete)
Comment 69 Kyle M Hall 2015-11-17 17:04:20 UTC Comment hidden (obsolete)
Comment 70 Kyle M Hall 2015-11-17 17:04:23 UTC Comment hidden (obsolete)
Comment 71 Kyle M Hall 2015-11-17 17:04:27 UTC Comment hidden (obsolete)
Comment 72 Kyle M Hall 2015-11-17 17:04:31 UTC Comment hidden (obsolete)
Comment 73 Kyle M Hall 2015-11-17 17:04:34 UTC Comment hidden (obsolete)
Comment 74 Kyle M Hall 2015-11-17 17:04:37 UTC Comment hidden (obsolete)
Comment 75 Kyle M Hall 2015-11-17 17:04:41 UTC Comment hidden (obsolete)
Comment 76 Kyle M Hall 2015-11-17 17:04:44 UTC Comment hidden (obsolete)
Comment 77 Jonathan Druart 2015-12-17 11:12:23 UTC
Kyle,
I don't see the point to have 1 file / action.
I really would prefer to stick to the same structure as usual (if $op == 'add' elsif...).
Why did you change that? Do you have a particular reason?
Comment 78 Kyle M Hall 2015-12-17 11:40:49 UTC
(In reply to Jonathan Druart from comment #77)
> Kyle,
> I don't see the point to have 1 file / action.
> I really would prefer to stick to the same structure as usual (if $op ==
> 'add' elsif...).
> Why did you change that? Do you have a particular reason?

It makes for simpler scripts and templates. Simplicity = less prone to have bugs.
Comment 79 Jonathan Druart 2015-12-17 12:26:15 UTC
(In reply to Kyle M Hall from comment #78)
> (In reply to Jonathan Druart from comment #77)
> > Kyle,
> > I don't see the point to have 1 file / action.
> > I really would prefer to stick to the same structure as usual (if $op ==
> > 'add' elsif...).
> > Why did you change that? Do you have a particular reason?
> 
> It makes for simpler scripts and templates. Simplicity = less prone to have
> bugs.

But it means duplication of code and a change in the current practice.
IMO, this should not be done without a discussion during a dev meeting.
Comment 80 Katrin Fischer 2015-12-17 12:41:40 UTC
Hm, I tend to agree with Jonathan on first glance. I think the new object code tends to be quite short and readable - so having it all in one file seems easier to comprehend. Some of the newly introduced files by this patch are really very short and the copyright/license is almost the biggest part of them. A 1:1-relation between template and .pl file also often makes it easier to navigate the code for me.
Comment 81 Kyle M Hall 2015-12-23 16:02:59 UTC Comment hidden (obsolete)
Comment 82 Kyle M Hall 2015-12-23 16:03:08 UTC Comment hidden (obsolete)
Comment 83 Kyle M Hall 2015-12-23 16:03:11 UTC Comment hidden (obsolete)
Comment 84 Kyle M Hall 2015-12-23 16:03:15 UTC Comment hidden (obsolete)
Comment 85 Kyle M Hall 2015-12-23 16:03:18 UTC Comment hidden (obsolete)
Comment 86 Kyle M Hall 2015-12-23 16:03:21 UTC Comment hidden (obsolete)
Comment 87 Kyle M Hall 2015-12-23 16:03:25 UTC Comment hidden (obsolete)
Comment 88 Kyle M Hall 2015-12-23 16:03:28 UTC Comment hidden (obsolete)
Comment 89 Kyle M Hall 2015-12-23 16:03:31 UTC Comment hidden (obsolete)
Comment 90 Kyle M Hall 2015-12-23 16:03:35 UTC Comment hidden (obsolete)
Comment 91 Kyle M Hall 2015-12-23 16:03:38 UTC Comment hidden (obsolete)
Comment 92 Jonathan Druart 2016-01-04 13:47:29 UTC
CONFLICT (content): Merge conflict in Koha/Item.pm
CONFLICT (content): Merge conflict in Koha/Borrower.pm
CONFLICT (content): Merge conflict in Koha/Biblio.pm

Did you make the changes asked in comments 79 and 80?
Comment 93 Kyle M Hall 2016-01-12 12:10:03 UTC Comment hidden (obsolete)
Comment 94 Kyle M Hall 2016-01-12 12:10:14 UTC Comment hidden (obsolete)
Comment 95 Kyle M Hall 2016-01-12 12:10:17 UTC Comment hidden (obsolete)
Comment 96 Kyle M Hall 2016-01-12 12:10:21 UTC Comment hidden (obsolete)
Comment 97 Kyle M Hall 2016-01-12 12:10:24 UTC Comment hidden (obsolete)
Comment 98 Kyle M Hall 2016-01-12 12:10:27 UTC Comment hidden (obsolete)
Comment 99 Kyle M Hall 2016-01-12 12:10:31 UTC Comment hidden (obsolete)
Comment 100 Kyle M Hall 2016-01-12 12:10:34 UTC Comment hidden (obsolete)
Comment 101 Kyle M Hall 2016-01-12 12:10:38 UTC Comment hidden (obsolete)
Comment 102 Kyle M Hall 2016-01-12 12:10:41 UTC Comment hidden (obsolete)
Comment 103 Kyle M Hall 2016-01-12 12:10:45 UTC Comment hidden (obsolete)
Comment 104 Kyle M Hall 2016-01-12 12:29:43 UTC
(In reply to Katrin Fischer from comment #80)
> Hm, I tend to agree with Jonathan on first glance. I think the new object
> code tends to be quite short and readable - so having it all in one file
> seems easier to comprehend. Some of the newly introduced files by this patch
> are really very short and the copyright/license is almost the biggest part
> of them. A 1:1-relation between template and .pl file also often makes it
> easier to navigate the code for me.

I must respectfully disagree. I think assertion that this is without precedent is also incorrect. Please see modrequest.pl, placerequest.pl, and modrequest_suspendall.pl, add_message.pl, deletemem.pl, mod_debarment.pl, setstatus.pl for examples of similar behavior.

At this point those scripts are simple enough that it may seem silly, but I'm sure memberentry.pl was quite simple when it was first written as well. Now it has if statments like:
if ( ($op eq 'modify' || $op eq 'insert' || $op eq 'save'|| $op eq 'duplicate') and ($step == 0 or $step == 3 )){

I also believe the assertion that this duplicates code is incorrect. There is actually very little code shared between the two scripts if you don't count the boilerplate that all Koha cgi scripts have. Basically the duplicated code is the get_template_and_user call.
Comment 105 Kyle M Hall 2016-01-12 12:31:55 UTC
(In reply to Kyle M Hall from comment #104)

In fact, circ/request-article-do.pl shouldn't even be calling get_template_and_user! That's my bad, I'll get that fixed up and then the code will be totally DRY!
Comment 106 Kyle M Hall 2016-01-12 12:38:39 UTC Comment hidden (obsolete)
Comment 107 Kyle M Hall 2016-01-12 12:43:13 UTC Comment hidden (obsolete)
Comment 108 Nick Clemens 2016-01-12 15:44:49 UTC
Two issues I saw:
1 - 'New request' messages are not being queued, I didn't see them when placing requests via opac or staff side
2 - Search from the article request tab only works with cardnumber.  Enter patron name and press enter and the screen reloads.  Works when you choose from the search options that appear as you type.  Current search only checks at 3+ characters but should allow for 2 letter last names

Everything else is request:
* - There should be a 'Place request' button on detail.pl
* - On article-requests.pl the count in the tab doesn't reload when you change the number (2 requests, mark one completed, the table updates but tab still says 2)
* - Similarly, take action 'process request' and it disappears from the pending tab but does not show on the processing tab until you click update button or refresh page
* - It would be nice to see article requests on circulation.pl and moremember.pl
* - It would be nice to have an 'All libraries' option in the dropdown on article-requests.pl
* - Article-requests.pl doesn't show owning library for a specific item request.  I can follow the logic that all requests go to the pickup library, but they shold be able to see where the item is from.  It might be nice to have the patrons library visible as well
* - For consistency it would be nice to have the count of article requests show as holds do on detail.pl
Comment 109 Kyle M Hall 2016-01-13 16:44:56 UTC Comment hidden (obsolete)
Comment 110 Kyle M Hall 2016-01-13 16:45:05 UTC Comment hidden (obsolete)
Comment 111 Kyle M Hall 2016-01-13 16:45:09 UTC Comment hidden (obsolete)
Comment 112 Kyle M Hall 2016-01-13 16:45:13 UTC Comment hidden (obsolete)
Comment 113 Kyle M Hall 2016-01-13 16:45:16 UTC Comment hidden (obsolete)
Comment 114 Kyle M Hall 2016-01-13 16:45:20 UTC Comment hidden (obsolete)
Comment 115 Kyle M Hall 2016-01-13 16:45:23 UTC Comment hidden (obsolete)
Comment 116 Kyle M Hall 2016-01-13 16:45:27 UTC Comment hidden (obsolete)
Comment 117 Kyle M Hall 2016-01-13 16:45:30 UTC Comment hidden (obsolete)
Comment 118 Kyle M Hall 2016-01-13 16:45:34 UTC Comment hidden (obsolete)
Comment 119 Kyle M Hall 2016-01-13 16:45:37 UTC Comment hidden (obsolete)
Comment 120 Kyle M Hall 2016-01-13 16:45:41 UTC Comment hidden (obsolete)
Comment 121 Kyle M Hall 2016-01-13 16:45:45 UTC Comment hidden (obsolete)
Comment 122 Kyle M Hall 2016-01-13 16:45:48 UTC Comment hidden (obsolete)
Comment 123 Kyle M Hall 2016-01-13 16:45:52 UTC Comment hidden (obsolete)
Comment 124 Kyle M Hall 2016-01-13 16:45:55 UTC Comment hidden (obsolete)
Comment 125 Kyle M Hall 2016-01-13 16:45:59 UTC Comment hidden (obsolete)
Comment 126 Kyle M Hall 2016-01-13 16:46:03 UTC Comment hidden (obsolete)
Comment 127 Martin Renvoize 2016-01-14 09:08:54 UTC
First I've seen this bug, I like the feature as a whole.. 

From a QA perspective I think I agree with Katrin and Jonathan. As much as I'm not as totally against splitting up some of the code into smaller more manageable files I think having a standard approach to coding this stuff is important for developers to adopts and adhere to, and I feel there isn't sufficient reasoning here to split the script into multiple smaller scripts.  A clearly written $op eq '' set is pretty darn clear and it makes the relation between tt -> pl and pm clearer too.

I'd prefer the single script approach here.
Comment 128 Brendan Gallagher 2016-01-14 15:19:48 UTC
(In reply to Martin Renvoize from comment #127)
> First I've seen this bug, I like the feature as a whole.. 
> 
> From a QA perspective I think I agree with Katrin and Jonathan. As much as
> I'm not as totally against splitting up some of the code into smaller more
> manageable files I think having a standard approach to coding this stuff is
> important for developers to adopts and adhere to, and I feel there isn't
> sufficient reasoning here to split the script into multiple smaller scripts.
> A clearly written $op eq '' set is pretty darn clear and it makes the
> relation between tt -> pl and pm clearer too.
> 
> I'd prefer the single script approach here.

After doing some searching through the code, I don't see what Kyle is proposing, as a new model (there are some examples where this is the case).  Also, stated above the individual .pl files don't have an association with the tt. Since this isn't a new model, should we reject it based on that?  I just am not crazy about seeing a developer spend time on a development (that has followed other models), and have to rewrite the code.  

Also to be clear, I see validity in both approaches (not one over the other).  My worry is just the amount of time it would take to consolidate something that isn't a "new" way of development.  Perhaps that time spent could be used towards other areas of Koha?
Comment 129 Jonathan Druart 2016-01-15 10:36:32 UTC
I think we need to talk together when a developer wants to introduce a new practice.
On comment 79, I have suggested to have this discussion during the next (?) dev meeting.
Comment 130 Kyle M Hall 2016-01-15 11:12:56 UTC
(In reply to Jonathan Druart from comment #129)
> I think we need to talk together when a developer wants to introduce a new
> practice.
> On comment 79, I have suggested to have this discussion during the next (?)
> dev meeting.

Jonathan, again, this is *not* a new practice! As I wrote previously, the following scripts use this same methodology:
modrequest.pl
placerequest.pl
modrequest_suspendall.pl
add_message.pl
deletemem.pl
mod_debarment.pl
setstatus.pl
Comment 131 Kyle M Hall 2016-02-11 15:06:49 UTC Comment hidden (obsolete)
Comment 132 Kyle M Hall 2016-02-11 15:07:01 UTC Comment hidden (obsolete)
Comment 133 Kyle M Hall 2016-02-11 15:07:05 UTC Comment hidden (obsolete)
Comment 134 Kyle M Hall 2016-02-11 15:07:09 UTC Comment hidden (obsolete)
Comment 135 Kyle M Hall 2016-02-11 15:07:13 UTC Comment hidden (obsolete)
Comment 136 Kyle M Hall 2016-02-11 15:07:17 UTC Comment hidden (obsolete)
Comment 137 Kyle M Hall 2016-02-11 15:07:20 UTC Comment hidden (obsolete)
Comment 138 Kyle M Hall 2016-02-11 15:07:24 UTC Comment hidden (obsolete)
Comment 139 Kyle M Hall 2016-02-11 15:07:28 UTC Comment hidden (obsolete)
Comment 140 Kyle M Hall 2016-02-11 15:07:32 UTC Comment hidden (obsolete)
Comment 141 Kyle M Hall 2016-02-11 15:07:36 UTC Comment hidden (obsolete)
Comment 142 Kyle M Hall 2016-02-11 15:07:40 UTC Comment hidden (obsolete)
Comment 143 Kyle M Hall 2016-02-11 15:07:43 UTC Comment hidden (obsolete)
Comment 144 Kyle M Hall 2016-02-11 15:07:47 UTC Comment hidden (obsolete)
Comment 145 Kyle M Hall 2016-02-11 15:07:51 UTC Comment hidden (obsolete)
Comment 146 Kyle M Hall 2016-02-11 15:07:55 UTC Comment hidden (obsolete)
Comment 147 Kyle M Hall 2016-02-11 15:07:59 UTC Comment hidden (obsolete)
Comment 148 Kyle M Hall 2016-02-11 15:08:03 UTC Comment hidden (obsolete)
Comment 149 Kyle M Hall 2016-02-17 13:59:41 UTC Comment hidden (obsolete)
Comment 150 Kyle M Hall 2016-02-17 13:59:51 UTC Comment hidden (obsolete)
Comment 151 Kyle M Hall 2016-02-17 13:59:55 UTC Comment hidden (obsolete)
Comment 152 Kyle M Hall 2016-02-17 13:59:59 UTC Comment hidden (obsolete)
Comment 153 Kyle M Hall 2016-02-17 14:00:03 UTC Comment hidden (obsolete)
Comment 154 Kyle M Hall 2016-02-17 14:00:08 UTC Comment hidden (obsolete)
Comment 155 Kyle M Hall 2016-02-18 16:31:24 UTC Comment hidden (obsolete)
Comment 156 Kyle M Hall 2016-02-18 16:31:34 UTC Comment hidden (obsolete)
Comment 157 Kyle M Hall 2016-02-18 16:31:38 UTC Comment hidden (obsolete)
Comment 158 Kyle M Hall 2016-02-18 16:31:42 UTC Comment hidden (obsolete)
Comment 159 Kyle M Hall 2016-02-18 16:31:47 UTC Comment hidden (obsolete)
Comment 160 Kyle M Hall 2016-02-18 16:31:51 UTC Comment hidden (obsolete)
Comment 161 Kyle M Hall 2016-02-18 16:31:55 UTC Comment hidden (obsolete)
Comment 162 Jonathan Druart 2016-04-06 12:59:54 UTC
The patches do not apply and there is a merge marker in the first patch.
Comment 163 Kyle M Hall 2016-04-18 15:58:08 UTC Comment hidden (obsolete)
Comment 164 Kyle M Hall 2016-04-18 15:58:18 UTC Comment hidden (obsolete)
Comment 165 Kyle M Hall 2016-04-18 15:58:23 UTC Comment hidden (obsolete)
Comment 166 Kyle M Hall 2016-04-18 15:58:27 UTC Comment hidden (obsolete)
Comment 167 Kyle M Hall 2016-04-18 15:58:31 UTC Comment hidden (obsolete)
Comment 168 Kyle M Hall 2016-04-18 15:58:35 UTC Comment hidden (obsolete)
Comment 169 Kyle M Hall 2016-04-18 15:58:39 UTC Comment hidden (obsolete)
Comment 170 Kyle M Hall 2016-05-16 13:41:58 UTC Comment hidden (obsolete)
Comment 171 Kyle M Hall 2016-05-16 13:42:15 UTC Comment hidden (obsolete)
Comment 172 Kyle M Hall 2016-05-16 13:42:19 UTC Comment hidden (obsolete)
Comment 173 Kyle M Hall 2016-05-16 13:42:23 UTC Comment hidden (obsolete)
Comment 174 Kyle M Hall 2016-05-16 13:42:28 UTC Comment hidden (obsolete)
Comment 175 Kyle M Hall 2016-05-16 13:42:33 UTC Comment hidden (obsolete)
Comment 176 Kyle M Hall 2016-05-16 13:42:37 UTC Comment hidden (obsolete)
Comment 177 Kyle M Hall 2016-05-16 13:42:43 UTC Comment hidden (obsolete)
Comment 178 Kyle M Hall 2016-05-25 13:53:10 UTC Comment hidden (obsolete)
Comment 179 Kyle M Hall 2016-05-25 13:53:21 UTC Comment hidden (obsolete)
Comment 180 Kyle M Hall 2016-05-25 13:53:25 UTC Comment hidden (obsolete)
Comment 181 Kyle M Hall 2016-05-25 13:53:30 UTC Comment hidden (obsolete)
Comment 182 Kyle M Hall 2016-05-25 13:53:34 UTC Comment hidden (obsolete)
Comment 183 Kyle M Hall 2016-05-25 13:53:38 UTC Comment hidden (obsolete)
Comment 184 Kyle M Hall 2016-06-22 14:27:32 UTC Comment hidden (obsolete)
Comment 185 Kyle M Hall 2016-06-22 14:27:42 UTC Comment hidden (obsolete)
Comment 186 Kyle M Hall 2016-06-22 14:27:46 UTC Comment hidden (obsolete)
Comment 187 Kyle M Hall 2016-06-22 14:27:50 UTC Comment hidden (obsolete)
Comment 188 Kyle M Hall 2016-06-22 14:27:55 UTC Comment hidden (obsolete)
Comment 189 Kyle M Hall 2016-06-22 14:27:59 UTC Comment hidden (obsolete)
Comment 190 Liz Rea 2016-08-10 01:38:18 UTC
Hi,

Looks like this is not applying (however, it looks like an easy conflict to fix)

Falling back to patching base and 3-way merge...
Auto-merging Koha/Patron.pm
CONFLICT (content): Merge conflict in Koha/Patron.pm

Liz
Comment 191 Liz Rea 2016-08-10 02:54:27 UTC
Conflicts aside (which I sorted out just enough to test it - the only one I didn't touch was the CSS one because that will sort itself out I think with a new patch set) - I like this and think it's pretty awesome.

I'll be happy to test a rebased version of this.

Cheers,
Liz
Comment 192 Liz Rea 2016-08-22 02:23:46 UTC
Notably missing here is a view of a borrower's pending and in-process requests from the borrower detail or circulation screens in the staff interface. That's probably desirable, since there is a view of them in the OPAC. 

It could be a subset of the Holds tab, or it's own tab. 

An option to display branch wide (filtered, if necessary) completed requests, and for individual borrowers would be a nice-to-have. Custom reports will get the job done in the mean time, albeit a little inconveniently.

It might also be good to show requests as some kind of statistic for the borrowers in the "Statistics" tab in the members area. "Articles requested" maybe?
Comment 193 Marcel de Rooy 2016-09-06 12:14:40 UTC
*** Bug 17254 has been marked as a duplicate of this bug. ***
Comment 194 Marcel de Rooy 2016-09-06 12:16:12 UTC
This feature may also be referred to as Scan and Deliver.
Comment 195 Kyle M Hall 2016-09-14 13:41:23 UTC
Created attachment 55556 [details] [review]
Bug 14610 - Add ability to place article requests in Koha - Update database

Article Requests are somewhat similar to holds, but are not requests for
an item to check out. Instead, article requests are requests for a
photocopy of a particular section of a book ( most often ). This is very
common in academic libraries where researchers may request a copy of a
single article found in a journal.

This patch set adds the ability to place article requests in Koha. It
allows the control of what can be requested via the circulation rules.
Since article requests of electronic resources are not outside the realm
of possibility, the feature will check not only the items for
requstability, but the record itself as well ( i.e. both items.itype and
biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff
intranet and can be viewed in most areas where holds are viewed ( e.g.
patron details, record details, etc ).

There is a script to view article requests in progress within the
circulation module. Article requests can be Open ( i.e. new ), In
Processing, Completed, or Canceled. The status of a given request can be
updated from this script.

Test Plan:
1) Apply the patch set
2) Run updatedatabase.pl
3) Enable the system preference ArticleRequests
4) Set up some required fields in:
    ArticleRequestsMandatoryFields
    ArticleRequestsMandatoryFieldsItemsOnly
    ArticleRequestsMandatoryFieldsRecordOnly
5) Edit your circ rules, set article requests to 'yes' for something
6) Test the ability to add an article request from the opac ( required fields enforced )
7) Test the ability to add an article request from the staff interface ( required fields no enforced )
8) Note you can choose item level or record level requests
9) Change the rule to "record only"
10) Repeat 6 and 7
11) Note you cannot choose items
12) Change the rule to "item only"
13) Repeat 6 and 7
14) Note you must choose an item
15) Note that the 'new request' message is queued for each new request
16) Browse to /cgi-bin/koha/circ/article-requests.pl
17) Note requests are split by pickup branch
18) Test slip printing via the "Print slip" action
19) Process request vai "Process request" action
20) Note an email notice is queued for patron
21) Refresh /cgi-bin/koha/circ/article-requests.pl
22) Note request has moved to "processing" tab.
23) Complete request with "Complete request" action
24) Note message is queued for patron
25) Cancel a request, add cancelation note.
26) Note message is queued for patron

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 196 Kyle M Hall 2016-09-14 13:41:42 UTC
Created attachment 55557 [details] [review]
Bug 14610 - Add and update modules

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 197 Kyle M Hall 2016-09-14 13:41:51 UTC
Created attachment 55558 [details] [review]
Bug 14610 - Add and update scripts

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 198 Kyle M Hall 2016-09-14 13:42:00 UTC
Created attachment 55559 [details] [review]
Bug 14610 - Add unit tests

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 199 Kyle M Hall 2016-09-14 13:42:10 UTC
Created attachment 55560 [details] [review]
Bug 14610 - Update opac.css via less
Comment 200 Kyle M Hall 2016-09-14 13:42:20 UTC
Created attachment 55561 [details] [review]
Bug 14610 - Update Schema files
Comment 201 Kyle M Hall 2016-09-14 14:55:34 UTC Comment hidden (obsolete)
Comment 202 Kyle M Hall 2016-09-14 14:56:17 UTC
Created attachment 55569 [details] [review]
Bug 14610 [QA Followup] - Implement staff patron tab

Also fixes a few other minor issues
Comment 203 Marcel de Rooy 2016-09-15 09:50:40 UTC
Testing this now.
Comment 204 Marcel de Rooy 2016-09-15 11:53:25 UTC
Nice addition ! (We are locally interested in such a feature too, but it would need some extensions. )
Some comments from testing (no full QA). The first ones need immediate attention. Some others are more future directed.

After updatedatabase feature is already enabled?
Distinction between record level and item level may not be clear for everybody. Biblio level ?
Item level: if a biblio has no items, it is not useful to show Request Article on results and detail.
Checking status: If an item has been checked out, I can still process and complete an item based article request? You do not check statuses. Should we? Or at least warn in the process to prevent mistakes? 
OPAC Detail menu: no icon for Request Article.
opac-request-article.tt:  bodyid='opac-holds' ? copy-pasted (did not look further) 
The new request message does NOT contain the pages that I entered in the OPAC (though saved in the database). AR_PENDING
Typo in that notice: Article Request Recieved
Note that AR_PROCESSING did contain the entered page range in the second notice. At first sight I do not see any difference between these notices for pages. (The field name pages might be problematic in the TT environment just like size?) 
circ/circulation.pl: Just from a code glance:
+    $patron = Koha::Patrons->find( $borrowernumber );
     $borrower = GetMemberDetails( $borrowernumber, 0 );
I understand that you will not be refactoring the script here, but seeing those two calls here together does not look good. (Just mentioning)

General
In the new request, I am missing a field for the type of service: Do you want a photocopy, a scan or still some other service ? These service types should be controlled somewhere. For instance, one library only copies and the other scans.
The message "You may pick your article up at RMA." only refers to photocopies? A scan should be included in the mail (at least a URL where to download the scanned portion of the biblio). This might be a local upload, but could well be some external transfer service too. 

Future extensions?
I think we need some threshhold on the number of requests per patron. I saw libraries offering one or two scans per day, additional requests being queued. A maximum number of requests and a number to process per day might be a good start. The second number could be used in reporting the pending requests to pick next.
Comment 205 Katrin Fischer 2016-09-15 12:01:30 UTC
Thx for working on this Marcel!
From reading your comments I feel like the 'scan' feature might be dealt with better later on, as it sounds like an enhancement to the initial patch. Would you agree with that? Some libraries might not want the user to be able to pick, only offer one thing etc.. it might complicate things here and this is already quite big.
Comment 206 Marcel de Rooy 2016-09-15 12:06:58 UTC
(In reply to Katrin Fischer from comment #205)
> Thx for working on this Marcel!
> From reading your comments I feel like the 'scan' feature might be dealt
> with better later on, as it sounds like an enhancement to the initial patch.
> Would you agree with that? Some libraries might not want the user to be able
> to pick, only offer one thing etc.. it might complicate things here and this
> is already quite big.

Yes, this could be put under the "future directed" comments.
Comment 207 Kyle M Hall 2016-10-10 09:10:51 UTC
Created attachment 56084 [details] [review]
Bug 14610 - Add ability to place article requests in Koha - Update database

Article Requests are somewhat similar to holds, but are not requests for
an item to check out. Instead, article requests are requests for a
photocopy of a particular section of a book ( most often ). This is very
common in academic libraries where researchers may request a copy of a
single article found in a journal.

This patch set adds the ability to place article requests in Koha. It
allows the control of what can be requested via the circulation rules.
Since article requests of electronic resources are not outside the realm
of possibility, the feature will check not only the items for
requstability, but the record itself as well ( i.e. both items.itype and
biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff
intranet and can be viewed in most areas where holds are viewed ( e.g.
patron details, record details, etc ).

There is a script to view article requests in progress within the
circulation module. Article requests can be Open ( i.e. new ), In
Processing, Completed, or Canceled. The status of a given request can be
updated from this script.

Test Plan:
1) Apply the patch set
2) Run updatedatabase.pl
3) Enable the system preference ArticleRequests
4) Set up some required fields in:
    ArticleRequestsMandatoryFields
    ArticleRequestsMandatoryFieldsItemsOnly
    ArticleRequestsMandatoryFieldsRecordOnly
5) Edit your circ rules, set article requests to 'yes' for something
6) Test the ability to add an article request from the opac ( required fields enforced )
7) Test the ability to add an article request from the staff interface ( required fields no enforced )
8) Note you can choose item level or record level requests
9) Change the rule to "record only"
10) Repeat 6 and 7
11) Note you cannot choose items
12) Change the rule to "item only"
13) Repeat 6 and 7
14) Note you must choose an item
15) Note that the 'new request' message is queued for each new request
16) Browse to /cgi-bin/koha/circ/article-requests.pl
17) Note requests are split by pickup branch
18) Test slip printing via the "Print slip" action
19) Process request vai "Process request" action
20) Note an email notice is queued for patron
21) Refresh /cgi-bin/koha/circ/article-requests.pl
22) Note request has moved to "processing" tab.
23) Complete request with "Complete request" action
24) Note message is queued for patron
25) Cancel a request, add cancelation note.
26) Note message is queued for patron

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 208 Kyle M Hall 2016-10-10 09:11:12 UTC
Created attachment 56085 [details] [review]
Bug 14610 - Add and update modules

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 209 Kyle M Hall 2016-10-10 09:11:19 UTC
Created attachment 56086 [details] [review]
Bug 14610 - Add and update scripts

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 210 Kyle M Hall 2016-10-10 09:11:26 UTC
Created attachment 56087 [details] [review]
Bug 14610 - Add unit tests

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 211 Kyle M Hall 2016-10-10 09:11:37 UTC
Created attachment 56088 [details] [review]
Bug 14610 - Update opac.css via less
Comment 212 Kyle M Hall 2016-10-10 09:11:45 UTC
Created attachment 56089 [details] [review]
Bug 14610 - Update Schema files
Comment 213 Kyle M Hall 2016-10-10 09:11:56 UTC
Created attachment 56090 [details] [review]
Bug 14610 [QA Followup] - Implement staff patron tab

Also fixes a few other minor issues
Comment 214 Katrin Fischer 2016-10-12 15:13:29 UTC
Please fix:
- As not all of libraries are offering article requests, please turn the
  feature off by default when updating. Leaving it on for new installations
  should be alright.
- In the OPAC patron account, the td-cells already have a class on the
  article request table, can you add thoes to the th-cells as well please?
  This will make it possible to hide columns that the library doesn't
  want to use easily.
- Change cancelation to cancellation.


Would be nice to see fixed:
- maybe show 'Only' or some other indication in staff to differentiate 
  item and record level article requests a bit more clearly from each 
  other in the tabbed display (similar to how holds display)


Wish list for the future, to be turned into separate bugs:

- On the article request summary page the table could be styled a bit
  better. The columns are very small to begin with, especially for
  the title and the article information this can be a bit irritating.
- After cancelling a request there is no way to see those any longer.
  It would be nice to have a separate tab showing  'cancelled today' or
  'cancelled within x days'
- Similar for completed requests a 'completed today' or 'completed within 
  x days' tab could prove useful.
- When you don't use scans but provide copies for the patron to be 
  picked up, it would be nice to have a visual clue about those
  waiting copies on the check out and check in pages. One way to 
  achieve this could be an additional optional status "ready for pick-up"
  that would trigger a note to display. Once you hand out the copies
  you should be able to click a link or something and then the status
  would switch to completed.
- It could be nice to be able to switch back from 'processing' to 
  'pending' to undo a possible mistake made by the staff or if it turns
  out that the requested resource is not available at the branch (book
  is missing, serial issue is not complete etc.)
- Include a 'cancel' option in the patron form that leads back to the
  record. This could also apply to the holds page.
- Include the 'title of the record' as part of the breadcrumbs, so you 
  can go back as on other pages. This could also apply to the holds page.
Comment 215 Katrin Fischer 2016-10-13 07:52:32 UTC
Checked the source code and got some questions:

To discuss:

1) Why did you put the new routines like can_article_request in Biblio.pm? I think Circulation.pm seems like a more obvious choice to me, as it already has CanBookBeIssued, CanBookBeReturned etc.

2) There is another routine with the same name 'can_article_request' in Items.pm - I know one is for record and one is for item level, but is that intentional?

To fix:

3) In Patrons.pm there seems to have some extra code slipped in that shouldn't be part of this patch set: guarantor

4) Please add the new notices and slip to the other non-english installer directories as well!

5) Can you please put classes on the th elements in patron-article-requests.inc as well? The td are already all classed up :)

6) This little piece of code gives me trouble, publishercode is filled in the database, but it's not showing up. Same for pages in the same part of the code. It looks like the values from biblioitems specifically are not showing up.
Also: if you catalog MARC21 there already is a ',', so there is no need to add another in the template. The comma can be removed.

+                                                <div class="ar-pubdata">
+                                                    [% ar.biblio.biblioitem.publishercode %]
+
+                                                    [% IF ar.biblio.biblioitem.publicationyear %]
+                                                        , [% ar.biblio.biblioitem.publicationyear %]

6) Patch uniminifies opac.css!

7) Test fails... perl t/db_dependent/ArticleRequests.t
1..49
Bareword "C4::Context::only_my_library" not allowed while "strict subs" in use at Koha/Libraries.pm line 52.
Comment 216 Kyle M Hall 2016-10-13 10:05:36 UTC
Created attachment 56318 [details] [review]
Bug 14610 - Add ability to place article requests in Koha - Update database

Article Requests are somewhat similar to holds, but are not requests for
an item to check out. Instead, article requests are requests for a
photocopy of a particular section of a book ( most often ). This is very
common in academic libraries where researchers may request a copy of a
single article found in a journal.

This patch set adds the ability to place article requests in Koha. It
allows the control of what can be requested via the circulation rules.
Since article requests of electronic resources are not outside the realm
of possibility, the feature will check not only the items for
requstability, but the record itself as well ( i.e. both items.itype and
biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff
intranet and can be viewed in most areas where holds are viewed ( e.g.
patron details, record details, etc ).

There is a script to view article requests in progress within the
circulation module. Article requests can be Open ( i.e. new ), In
Processing, Completed, or Canceled. The status of a given request can be
updated from this script.

Test Plan:
1) Apply the patch set
2) Run updatedatabase.pl
3) Enable the system preference ArticleRequests
4) Set up some required fields in:
    ArticleRequestsMandatoryFields
    ArticleRequestsMandatoryFieldsItemsOnly
    ArticleRequestsMandatoryFieldsRecordOnly
5) Edit your circ rules, set article requests to 'yes' for something
6) Test the ability to add an article request from the opac ( required fields enforced )
7) Test the ability to add an article request from the staff interface ( required fields no enforced )
8) Note you can choose item level or record level requests
9) Change the rule to "record only"
10) Repeat 6 and 7
11) Note you cannot choose items
12) Change the rule to "item only"
13) Repeat 6 and 7
14) Note you must choose an item
15) Note that the 'new request' message is queued for each new request
16) Browse to /cgi-bin/koha/circ/article-requests.pl
17) Note requests are split by pickup branch
18) Test slip printing via the "Print slip" action
19) Process request vai "Process request" action
20) Note an email notice is queued for patron
21) Refresh /cgi-bin/koha/circ/article-requests.pl
22) Note request has moved to "processing" tab.
23) Complete request with "Complete request" action
24) Note message is queued for patron
25) Cancel a request, add cancelation note.
26) Note message is queued for patron

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 217 Kyle M Hall 2016-10-13 10:06:12 UTC
Created attachment 56319 [details] [review]
Bug 14610 - Add and update modules

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 218 Kyle M Hall 2016-10-13 10:06:21 UTC
Created attachment 56320 [details] [review]
Bug 14610 - Add and update scripts

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 219 Kyle M Hall 2016-10-13 10:06:32 UTC
Created attachment 56321 [details] [review]
Bug 14610 - Add unit tests

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 220 Kyle M Hall 2016-10-13 10:06:43 UTC
Created attachment 56322 [details] [review]
Bug 14610 - Update opac.css via less
Comment 221 Kyle M Hall 2016-10-13 10:06:51 UTC
Created attachment 56323 [details] [review]
Bug 14610 - Update Schema files
Comment 222 Kyle M Hall 2016-10-13 10:07:01 UTC
Created attachment 56324 [details] [review]
Bug 14610 [QA Followup] - Implement staff patron tab

Also fixes a few other minor issues
Comment 223 Kyle M Hall 2016-10-13 10:07:11 UTC
Created attachment 56325 [details] [review]
Bug 14610 [QA Followup] - Remove Koha::Patron::guarantor addition
Comment 224 Kyle M Hall 2016-10-13 10:07:43 UTC
Created attachment 56326 [details] [review]
Bug 14610 [QA Followup] - Add notices to all language files
Comment 225 Kyle M Hall 2016-10-13 10:07:53 UTC
Created attachment 56327 [details] [review]
Bug 14610 [QA Followup] - Add classes to table headers
Comment 226 Kyle M Hall 2016-10-13 10:08:05 UTC
Created attachment 56328 [details] [review]
Bug 14610 [QA Followup] - Fix publishercode issue
Comment 227 Katrin Fischer 2016-10-19 22:01:55 UTC
Still applies, next on my list!
Comment 228 Kyle M Hall 2016-10-24 13:57:47 UTC
Created attachment 56775 [details] [review]
Bug 14610 - Add ability to place article requests in Koha - Update database

Article Requests are somewhat similar to holds, but are not requests for
an item to check out. Instead, article requests are requests for a
photocopy of a particular section of a book ( most often ). This is very
common in academic libraries where researchers may request a copy of a
single article found in a journal.

This patch set adds the ability to place article requests in Koha. It
allows the control of what can be requested via the circulation rules.
Since article requests of electronic resources are not outside the realm
of possibility, the feature will check not only the items for
requstability, but the record itself as well ( i.e. both items.itype and
biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff
intranet and can be viewed in most areas where holds are viewed ( e.g.
patron details, record details, etc ).

There is a script to view article requests in progress within the
circulation module. Article requests can be Open ( i.e. new ), In
Processing, Completed, or Canceled. The status of a given request can be
updated from this script.

Test Plan:
1) Apply the patch set
2) Run updatedatabase.pl
3) Enable the system preference ArticleRequests
4) Set up some required fields in:
    ArticleRequestsMandatoryFields
    ArticleRequestsMandatoryFieldsItemsOnly
    ArticleRequestsMandatoryFieldsRecordOnly
5) Edit your circ rules, set article requests to 'yes' for something
6) Test the ability to add an article request from the opac ( required fields enforced )
7) Test the ability to add an article request from the staff interface ( required fields no enforced )
8) Note you can choose item level or record level requests
9) Change the rule to "record only"
10) Repeat 6 and 7
11) Note you cannot choose items
12) Change the rule to "item only"
13) Repeat 6 and 7
14) Note you must choose an item
15) Note that the 'new request' message is queued for each new request
16) Browse to /cgi-bin/koha/circ/article-requests.pl
17) Note requests are split by pickup branch
18) Test slip printing via the "Print slip" action
19) Process request vai "Process request" action
20) Note an email notice is queued for patron
21) Refresh /cgi-bin/koha/circ/article-requests.pl
22) Note request has moved to "processing" tab.
23) Complete request with "Complete request" action
24) Note message is queued for patron
25) Cancel a request, add cancelation note.
26) Note message is queued for patron

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 229 Kyle M Hall 2016-10-24 13:58:02 UTC
Created attachment 56776 [details] [review]
Bug 14610 - Add and update modules

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 230 Kyle M Hall 2016-10-24 13:58:09 UTC
Created attachment 56777 [details] [review]
Bug 14610 - Add and update scripts

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 231 Kyle M Hall 2016-10-24 13:58:14 UTC
Created attachment 56778 [details] [review]
Bug 14610 - Add unit tests

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>
Comment 232 Kyle M Hall 2016-10-24 13:58:20 UTC
Created attachment 56779 [details] [review]
Bug 14610 - Update opac.css via less
Comment 233 Kyle M Hall 2016-10-24 13:58:26 UTC
Created attachment 56780 [details] [review]
Bug 14610 [QA Followup] - Implement staff patron tab

Also fixes a few other minor issues
Comment 234 Kyle M Hall 2016-10-24 13:58:31 UTC
Created attachment 56781 [details] [review]
Bug 14610 [QA Followup] - Remove Koha::Patron::guarantor addition
Comment 235 Kyle M Hall 2016-10-24 13:58:37 UTC
Created attachment 56782 [details] [review]
Bug 14610 [QA Followup] - Add notices to all language files
Comment 236 Kyle M Hall 2016-10-24 13:58:42 UTC
Created attachment 56783 [details] [review]
Bug 14610 [QA Followup] - Add classes to table headers
Comment 237 Kyle M Hall 2016-10-24 13:58:48 UTC
Created attachment 56784 [details] [review]
Bug 14610 [QA Followup] - Fix publishercode issue
Comment 238 Kyle M Hall 2016-10-24 13:58:53 UTC
Created attachment 56785 [details] [review]
Bug 14610 - Update Schema files

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 239 Katrin Fischer 2016-10-24 20:45:55 UTC
Created attachment 56816 [details] [review]
Bug 14610 - Follow-up

Patch fixes some smaller problems:

- Adds new notices to the it-IT installer (xt/sample_notices.t)
- Renames one of the classes used in the table to avoid double up
- Fixes POD of Bilbio.pm by removing a doubled up line
Comment 240 Katrin Fischer 2016-10-24 20:48:24 UTC
Hi Kyle, I wrote a follow-up fixing some smaller issues. Can you please take a look? 

The bigger issue here is that the patches currently break the member page:
http://localhost:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=1
Software error:

The method guarantor is not covered by tests!

Patches now add and remove a guarantor method, while I am not sure why it's there at all. - I don't see what's going wrong there. Please check.
Comment 241 Kyle M Hall 2016-10-25 00:48:22 UTC
(In reply to Katrin Fischer from comment #240)
> Hi Kyle, I wrote a follow-up fixing some smaller issues. Can you please take
> a look? 
> 
> The bigger issue here is that the patches currently break the member page:
> http://localhost:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=1
> Software error:
> 
> The method guarantor is not covered by tests!
> 
> Patches now add and remove a guarantor method, while I am not sure why it's
> there at all. - I don't see what's going wrong there. Please check.

That was an accidental inclusion. I'll get that fixed asap!
Comment 242 Kyle M Hall 2016-10-25 11:31:53 UTC
The guarantor method was accidentally added by this patch set initially, but between the time the follow removed it and now, the guarantor method was added by a different bug patch set that actually uses it! I've obsoleted the patch that removed the guarantor method and now everything is working!
Comment 243 Katrin Fischer 2016-10-25 18:35:46 UTC
Thx! Back to testing...
Comment 244 Katrin Fischer 2016-10-26 11:37:36 UTC
Created attachment 56854 [details] [review]
[PASSED QA] Bug 14610 - Add ability to place article requests in Koha - Update database

Article Requests are somewhat similar to holds, but are not requests for
an item to check out. Instead, article requests are requests for a
photocopy of a particular section of a book ( most often ). This is very
common in academic libraries where researchers may request a copy of a
single article found in a journal.

This patch set adds the ability to place article requests in Koha. It
allows the control of what can be requested via the circulation rules.
Since article requests of electronic resources are not outside the realm
of possibility, the feature will check not only the items for
requstability, but the record itself as well ( i.e. both items.itype and
biblio.itemtype ).

Article requests can be placed for patrons from the opac and staff
intranet and can be viewed in most areas where holds are viewed ( e.g.
patron details, record details, etc ).

There is a script to view article requests in progress within the
circulation module. Article requests can be Open ( i.e. new ), In
Processing, Completed, or Canceled. The status of a given request can be
updated from this script.

Test Plan:
1) Apply the patch set
2) Run updatedatabase.pl
3) Enable the system preference ArticleRequests
4) Set up some required fields in:
    ArticleRequestsMandatoryFields
    ArticleRequestsMandatoryFieldsItemsOnly
    ArticleRequestsMandatoryFieldsRecordOnly
5) Edit your circ rules, set article requests to 'yes' for something
6) Test the ability to add an article request from the opac ( required fields enforced )
7) Test the ability to add an article request from the staff interface ( required fields no enforced )
8) Note you can choose item level or record level requests
9) Change the rule to "record only"
10) Repeat 6 and 7
11) Note you cannot choose items
12) Change the rule to "item only"
13) Repeat 6 and 7
14) Note you must choose an item
15) Note that the 'new request' message is queued for each new request
16) Browse to /cgi-bin/koha/circ/article-requests.pl
17) Note requests are split by pickup branch
18) Test slip printing via the "Print slip" action
19) Process request vai "Process request" action
20) Note an email notice is queued for patron
21) Refresh /cgi-bin/koha/circ/article-requests.pl
22) Note request has moved to "processing" tab.
23) Complete request with "Complete request" action
24) Note message is queued for patron
25) Cancel a request, add cancelation note.
26) Note message is queued for patron

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 245 Katrin Fischer 2016-10-26 11:37:46 UTC
Created attachment 56855 [details] [review]
[PASSED QA] Bug 14610 - Add and update modules

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 246 Katrin Fischer 2016-10-26 11:37:56 UTC
Created attachment 56856 [details] [review]
[PASSED QA] Bug 14610 - Add and update scripts

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 247 Katrin Fischer 2016-10-26 11:38:04 UTC
Created attachment 56857 [details] [review]
[PASSED QA] Bug 14610 - Add unit tests

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jennifer Schmidt <jschmidt@switchinc.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 248 Katrin Fischer 2016-10-26 11:38:13 UTC
Created attachment 56858 [details] [review]
[PASSED QA] Bug 14610 - Update opac.css via less

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 249 Katrin Fischer 2016-10-26 11:38:21 UTC
Created attachment 56859 [details] [review]
[PASSED QA] Bug 14610 [QA Followup] - Implement staff patron tab

Also fixes a few other minor issues

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 250 Katrin Fischer 2016-10-26 11:38:28 UTC
Created attachment 56860 [details] [review]
[PASSED QA] Bug 14610 [QA Followup] - Add notices to all language files

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 251 Katrin Fischer 2016-10-26 11:38:37 UTC
Created attachment 56861 [details] [review]
[PASSED QA] Bug 14610 [QA Followup] - Add classes to table headers

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 252 Katrin Fischer 2016-10-26 11:38:44 UTC
Created attachment 56862 [details] [review]
[PASSED QA] Bug 14610 [QA Followup] - Fix publishercode issue

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 253 Katrin Fischer 2016-10-26 11:38:53 UTC
Created attachment 56863 [details] [review]
[PASSED QA] Bug 14610 - Update Schema files

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 254 Katrin Fischer 2016-10-26 11:39:01 UTC
Created attachment 56864 [details] [review]
Bug 14610 - Follow-up

Patch fixes some smaller problems:

- Adds new notices to the it-IT installer (xt/sample_notices.t)
- Renames one of the classes used in the table to avoid double up
- Fixes POD of Bilbio.pm by removing a doubled up line
Comment 255 Katrin Fischer 2016-10-26 11:39:10 UTC
Created attachment 56865 [details] [review]
Bug 14610: Follow-up 2

- Fixes typo "Recieve" in the sample notices
- Adds new notices to it-IT installer
- Turns off feature for existing installations, leaves it
  on for new installations
- Fixes typo "cancelation"
- Fixes ids in <body> of new pages
- Adds/fixes classes in th elements of tables
Comment 256 Katrin Fischer 2016-10-26 11:43:38 UTC
Hi Kyle, I have added another follow-up - please check the 2 last patches!
 
Because I forgot to mention in the second commit message: the one class was renamed because otherwise there was a double up between article title and record title class names! :)
Comment 257 Kyle M Hall 2016-10-26 12:23:36 UTC
Pushed to master for 16.11, thanks for the followups Katrin!
Comment 258 Jonathan Druart 2016-11-09 15:01:03 UTC
This patch set (in particular  bf1563e60b31244f4ea977eb84954fb8501ed59a Bug 14610 - Add and update modules) breaks several tests.

See bug 17591
Comment 259 Jonathan Druart 2016-11-09 15:07:03 UTC
The methods Koha::Biblio->article_request_type_for_items and Koha::Biblio->article_request_type_for_bib are not covered by tests!
Comment 260 Jonathan Druart 2016-11-10 08:50:46 UTC
These patches have introduced bug 17522.
Comment 261 Mason James 2016-11-30 11:51:41 UTC
(In reply to Kyle M Hall from comment #257)
> Pushed to master for 16.11, thanks for the followups Katrin!

new feature, passing for 16.05
Comment 262 Katrin Fischer 2017-01-04 22:07:15 UTC
Follow-up 6b0562eee87e80532d6abb423177c76062be84cc has been pushed to 16.11.x and will be in 16.11.2.

Please don't reuse bug numbers like this - it will make release notes be wrong.
Comment 263 David Cook 2017-02-08 01:29:58 UTC
I'm curious why the "date" field has a "text" type. I haven't seen an example of "date" in this patch, so I'm curious as to how it gets used...
Comment 264 Katrin Fischer 2017-02-08 06:43:25 UTC
(In reply to David Cook from comment #263)
> I'm curious why the "date" field has a "text" type. I haven't seen an
> example of "date" in this patch, so I'm curious as to how it gets used...

Can be a year or the date an issue was published, doesn't have to be a formatted date. (iirc)